# AaveV3TrailingQuotePriceTrigger

### Description

Validates trailing stop for quoted asset price

> **Notes**
>
> Given the currentPrice and the maxPrice see if there diff. > than percentage

### Trigger ID

`0x0e31244d`

### SDK Action

```ts
const aaveV3TrailingQuotePriceTrigger = new dfs.triggers.AaveV3TrailingQuotePriceTrigger(
    ...args
);
```

### Subscription Parameters

```solidity
/// @param baseTokenAddr address of the token which is quoted
/// @param baseStartRoundId roundId of the base token feed at time of subscription
/// @param quoteTokenAddr address of the quote token
/// @param quoteStartRoundId roundId of the quote token feed at time of subscription
/// @param percentage price percentage difference on which to trigger
struct SubParams {
    address baseTokenAddr;
    uint80 baseStartRoundId;
    address quoteTokenAddr;
    uint80 quoteStartRoundId;
    uint256 percentage;
}
```

### Calldata Parameters

```solidity
/// @param baseMaxRoundId roundId of the base token feed at time of local maximum
/// @param baseMaxRoundIdNext immediate future neighbour of baseMaxRoundId
/// @param quoteMaxRoundId roundId of the quote token feed at time of local maximum
/// @param quoteMaxRoundIdNext immediate future neighbour of quoteMaxRoundId
/// @dev exactly one *maxRoundIdNext should be 0, signifying the encompassed feed roundId
struct CallParams {
    uint80 baseMaxRoundId;
    uint80 baseMaxRoundIdNext;
    uint80 quoteMaxRoundId;
    uint80 quoteMaxRoundIdNext;
}
```

### IsChangeable

`false`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/triggers/aavev3/aavev3trailingquotepricetrigger.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
